package djmil.cordacheckers.gameproposal;

import java.util.UUID;

import djmil.cordacheckers.contracts.GameProposalContract;

public class ActionFlowArgs {
    private UUID gameProposalUuid;
    private String action;

    // Serialisation service requires a default constructor
    public ActionFlowArgs() {
        this.gameProposalUuid = null;
        this.action = null;
    }
    
    public GameProposalContract.Action getAction() {
        return GameProposalContract.Action.valueOf(this.action);
    }

    public UUID getGameProposalUuid() {
        return this.gameProposalUuid;
    }
}
